Page MenuHomePhabricator

MediaWiki-Vagrant install party (#wikimedia-hackathon-2016)
Closed, ResolvedPublic

Description

Hands-on introduction to MediaWiki-Vagrant development environment.

USB drives with installation files and instructions will be available as well as help overcoming initial installation problems. Get your laptop setup for easily contributing to MediaWiki!

Event Timeline

bd808 created this task.Dec 23 2015, 8:01 PM
bd808 raised the priority of this task from to Needs Triage.
bd808 updated the task description. (Show Details)
bd808 added a subscriber: bd808.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 23 2015, 8:01 PM

Just a note that RelEng still has around 15 USB drives dedicated for this.

bd808 updated the task description. (Show Details)Jan 5 2016, 6:14 AM
bd808 set Security to None.

Just a note that RelEng still has around 15 USB drives dedicated for this.

Probably time to start thinking about how we are going to get these populated and over to the venue. @dduvall are you going to be attending the hackathon? If not we should find someone based in SF who will be who can remember to pack them into their suitcase.

bd808 claimed this task.Feb 25 2016, 2:41 AM
Restricted Application added a project: User-bd808. · View Herald TranscriptFeb 25 2016, 2:41 AM
bd808 triaged this task as Normal priority.Feb 26 2016, 4:06 AM

help overcoming initial installation problems

Could you make sure that newcomers' issues in that session get documented?
This would allow improving our documentation (e.g. for MS Windows machines?) and lowering entrance barriers.

bd808 added a comment.Feb 27 2016, 8:43 PM

help overcoming initial installation problems

Could you make sure that newcomers' issues in that session get documented?
This would allow improving our documentation (e.g. for MS Windows machines?) and lowering entrance barriers.

A good idea that we always try to follow, but I think we can do better than we have in the past if we keep it in mind as an actual focus of the event. We typically get one or two new instructions or notes on wiki from an install party event. Often the help that is given is less finding solutions for new problems and more helping people actually follow the existing directions.

bd808 moved this task from Backlog to Upcoming on the MediaWiki-Vagrant board.Mar 10 2016, 8:32 PM
bd808 moved this task from Backlog to Ready on the Community-Tech-Tool-Labs board.
bd808 moved this task from Ready to Doing on the Community-Tech-Tool-Labs board.
bd808 moved this task from To Do to In Dev/Progress on the User-bd808 board.Mar 25 2016, 9:45 PM
bd808 added a comment.Apr 1 2016, 11:17 AM

We managed to get 4 people with existing installs that were having problems unstuck, 1 complete new install, and 2 in-progress installs by the end of the session.

No truly new issues surfaced. Most problems were related to corrupt git clones or connection timeouts while installing apt packages.

I've got mediawiki-vagrant up and running including visualeditor role. However with enabling flow provision says ""error: pkg.m4 missing, please install pkg-config". How to surpass this hurdle? Where and how should I install pkg-config (I tried manually several places without success).

bd808 added a comment.Apr 3 2016, 7:35 PM

I've got mediawiki-vagrant up and running including visualeditor role. However with enabling flow provision says ""error: pkg.m4 missing, please install pkg-config". How to surpass this hurdle? Where and how should I install pkg-config (I tried manually several places without success).

This should have been fixed by https://gerrit.wikimedia.org/r/#/c/281030/ which was merged 2016-04-01T23:49Z (about 2 days ago as I write this). The package was a missed build dependency of Varnish 4.1 (role::varnish) which is pulled in by both role::flow and role::thumbor to help with various testing scenarios.

bd808 closed this task as Resolved.Apr 3 2016, 7:43 PM
bd808 added a subscriber: Catrope.

@dduvall I gave the USB sticks back to @Catrope for the return trip to the office. I think only 2 or 3 of them went missing which may be a new record.

bd808 moved this task from In Dev/Progress to Done on the User-bd808 board.Apr 6 2016, 3:23 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Apr 13 2016, 4:08 PM
bd808 moved this task from Doing to Done on the Community-Tech-Tool-Labs board.May 16 2016, 3:29 PM

Anyone know where these USB drives are?

bd808 moved this task from Upcoming to Done on the MediaWiki-Vagrant board.Jan 23 2017, 4:08 PM